<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{2C1A44D9-D4BA-464E-832B-6108595892D6}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>FactorySystemModel</RootNamespace>
    <AssemblyName>FactorySystemModel</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>3</WarningLevel>
    <DocumentationFile>..\FactorySystemApi\bin\FactorySystemModel.xml</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.13.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="SqlSugar, Version=5.1.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\SqlSugar.5.1.0\lib\SqlSugar.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BusinessModel\BaseClass.cs" />
    <Compile Include="BusinessModel\BomModel.cs" />
    <Compile Include="BusinessModel\MessageDto.cs" />
    <Compile Include="BusinessModel\MDMModel.cs" />
    <Compile Include="BusinessModel\ApiAuthInfo.cs" />
    <Compile Include="EnumModel\Constant.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="RequestModel\FormulaQuery.cs" />
    <Compile Include="RequestModel\MaterialTeamworkQuery.cs" />
    <Compile Include="RequestModel\MaterialTaskQuery.cs" />
    <Compile Include="RequestModel\TaskQuery.cs" />
    <Compile Include="RequestModel\UploadTempFileRequest.cs" />
    <Compile Include="ResponseModel\ApiResult.cs" />
    <Compile Include="ResponseModel\FormulaRow.cs" />
    <Compile Include="ResponseModel\LogRow.cs" />
    <Compile Include="ResponseModel\MaterialTaskRow.cs" />
    <Compile Include="ResponseModel\MaterialTeamworkRow.cs" />
    <Compile Include="ResponseModel\TaskRow.cs" />
    <Compile Include="SqlSugarModel\Common.cs" />
    <Compile Include="SqlSugarModel\FPower.cs" />
    <Compile Include="SqlSugarModel\TFS_FMaterialTask.cs" />
    <Compile Include="SqlSugarModel\TFS_FreezingColumns.cs" />
    <Compile Include="SqlSugarModel\TDataCode.cs" />
    <Compile Include="SqlSugarModel\TBasicCode.cs" />
    <Compile Include="SqlSugarModel\TFS_Factory.cs" />
    <Compile Include="SqlSugarModel\TFS_FieldInfo.cs" />
    <Compile Include="SqlSugarModel\TFS_Formula.cs" />
    <Compile Include="SqlSugarModel\TFS_HalfMaterialFTeamProcess.cs" />
    <Compile Include="SqlSugarModel\TFS_HalfMaterialFTeamwork.cs" />
    <Compile Include="SqlSugarModel\TFS_HalfMaterialTask.cs" />
    <Compile Include="SqlSugarModel\TFS_MaterialFTeamProcess.cs" />
    <Compile Include="SqlSugarModel\TFS_FTeamProcess.cs" />
    <Compile Include="SqlSugarModel\TFS_MaterialFTeamwork.cs" />
    <Compile Include="SqlSugarModel\TFS_FTeamwork.cs" />
    <Compile Include="SqlSugarModel\TFS_MaterialInfo.cs" />
    <Compile Include="SqlSugarModel\TFS_MaterialType.cs" />
    <Compile Include="SqlSugarModel\TFS_FMaterialTeamwork.cs" />
    <Compile Include="SqlSugarModel\TFS_OperateLog.cs" />
    <Compile Include="SqlSugarModel\TFS_Setting.cs" />
    <Compile Include="SqlSugarModel\TFS_Material.cs" />
    <Compile Include="SqlSugarModel\TFS_SystemJournal.cs" />
    <Compile Include="SqlSugarModel\TFS_MaterialTask.cs" />
    <Compile Include="SqlSugarModel\TFS_UnionModify.cs" />
    <Compile Include="SqlSugarModel\View_Material.cs" />
    <Compile Include="SqlSugarModel\TFunction.cs" />
    <Compile Include="SqlSugarModel\TFS_Config.cs" />
    <Compile Include="SqlSugarModel\TRole.cs" />
    <Compile Include="SqlSugarModel\TRole_Right.cs" />
    <Compile Include="SqlSugarModel\TUser.cs" />
    <Compile Include="SqlSugarModel\TFS_Task.cs" />
    <Compile Include="SqlSugarModel\TFS_PackageChild.cs" />
    <Compile Include="SqlSugarModel\TFS_PackageMain.cs" />
    <Compile Include="SqlSugarModel\TFS_ViewFieldInfo.cs" />
    <Compile Include="SqlSugarModel\TFS_ViewMaterial.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>